package com.ruoyi.project.cui.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.cui.domain.TProblems;

/**
 * CUI问题整改跟踪清单Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-03
 */
public interface TProblemsMapper 
{
    /**
     * 查询CUI问题整改跟踪清单
     * 
     * @param id CUI问题整改跟踪清单ID
     * @return CUI问题整改跟踪清单
     */
    public TProblems selectTProblemsById(Long id);

    /**
     * 查询CUI问题整改跟踪清单列表
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return CUI问题整改跟踪清单集合
     */
    @DataScope(deptAlias = "d")
    public List<TProblems> selectTProblemsList(TProblems tProblems);

    /**
     * 新增CUI问题整改跟踪清单
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    public int insertTProblems(TProblems tProblems);

    /**
     * 修改CUI问题整改跟踪清单
     * 
     * @param tProblems CUI问题整改跟踪清单
     * @return 结果
     */
    public int updateTProblems(TProblems tProblems);

    /**
     * 删除CUI问题整改跟踪清单
     * 
     * @param id CUI问题整改跟踪清单ID
     * @return 结果
     */
    public int deleteTProblemsById(Long id);

    /**
     * 批量删除CUI问题整改跟踪清单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProblemsByIds(Long[] ids);

    List<DataEntity> selectStatusData(Map param);
}
